ControlPlanesResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class ControlPlanesResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ControlPlanesResourceApi

-     public class ControlPlanesResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlPlanesResourceApi()`
    `ControlPlanesResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ApiEntityTag>` | `addTags(String controlPlaneUuid, List<ApiEntityTag> body)` Attach tags to the control plane.
    `com.squareup.okhttp.Call` | `addTagsAsync(String controlPlaneUuid, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Attach tags to the control plane.
    `com.squareup.okhttp.Call` | `addTagsCall(String controlPlaneUuid, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for addTags
    `ApiResponse<List<ApiEntityTag>>` | `addTagsWithHttpInfo(String controlPlaneUuid, List<ApiEntityTag> body)` Attach tags to the control plane.
    `ApiCommand` | `copyImagesInFeatures(String controlPlaneUuid, ApiCopyImagesInFeaturesArgs body)` Launches the command to copy images for one or more features (a comma separated list).
    `com.squareup.okhttp.Call` | `copyImagesInFeaturesAsync(String controlPlaneUuid, ApiCopyImagesInFeaturesArgs body, ApiCallback<ApiCommand> callback)` Launches the command to copy images for one or more features (a comma separated list).
    `com.squareup.okhttp.Call` | `copyImagesInFeaturesCall(String controlPlaneUuid, ApiCopyImagesInFeaturesArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for copyImagesInFeatures
    `ApiResponse<ApiCommand>` | `copyImagesInFeaturesWithHttpInfo(String controlPlaneUuid, ApiCopyImagesInFeaturesArgs body)` Launches the command to copy images for one or more features (a comma separated list).
    `List<ApiEntityTag>` | `deleteTags(String controlPlaneUuid, List<ApiEntityTag> body)` Remove the tags associated with the control plane.
    `com.squareup.okhttp.Call` | `deleteTagsAsync(String controlPlaneUuid, List<ApiEntityTag> body, ApiCallback<List<ApiEntityTag>> callback)` Remove the tags associated with the control plane.
    `com.squareup.okhttp.Call` | `deleteTagsCall(String controlPlaneUuid, List<ApiEntityTag> body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteTags
    `ApiResponse<List<ApiEntityTag>>` | `deleteTagsWithHttpInfo(String controlPlaneUuid, List<ApiEntityTag> body)` Remove the tags associated with the control plane.
    `ApiCommand` | `generateCopyDocker(ApiGenerateCopyDockerArgs body)` Launches the Generate Copy Docker Script Command.
    `com.squareup.okhttp.Call` | `generateCopyDockerAsync(ApiGenerateCopyDockerArgs body, ApiCallback<ApiCommand> callback)` Launches the Generate Copy Docker Script Command.
    `com.squareup.okhttp.Call` | `generateCopyDockerCall(ApiGenerateCopyDockerArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateCopyDocker
    `ApiResponse<ApiCommand>` | `generateCopyDockerWithHttpInfo(ApiGenerateCopyDockerArgs body)` Launches the Generate Copy Docker Script Command.
    `ApiCommand` | `generateExternalVaultSetup(ApiGenerateExternalVaultSetupArgs body)` Launches the Generate Vault Setup Command command.
    `com.squareup.okhttp.Call` | `generateExternalVaultSetupAsync(ApiGenerateExternalVaultSetupArgs body, ApiCallback<ApiCommand> callback)` Launches the Generate Vault Setup Command command.
    `com.squareup.okhttp.Call` | `generateExternalVaultSetupCall(ApiGenerateExternalVaultSetupArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for generateExternalVaultSetup
    `ApiResponse<ApiCommand>` | `generateExternalVaultSetupWithHttpInfo(ApiGenerateExternalVaultSetupArgs body)` Launches the Generate Vault Setup Command command.
    `ApiClient` | `getApiClient()`
    `ApiControlPlaneList` | `getControlPlanes()` Current Control Planes.
    `com.squareup.okhttp.Call` | `getControlPlanesAsync(ApiCallback<ApiControlPlaneList> callback)` Current Control Planes.
    `com.squareup.okhttp.Call` | `getControlPlanesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getControlPlanes
    `ApiResponse<ApiControlPlaneList>` | `getControlPlanesWithHttpInfo()` Current Control Planes.
    `ApiCluster` | `getExperienceCluster(String controlPlaneUuid)` The cluster with tags matching this control plane's UUID, if any.
    `com.squareup.okhttp.Call` | `getExperienceClusterAsync(String controlPlaneUuid, ApiCallback<ApiCluster> callback)` The cluster with tags matching this control plane's UUID, if any.
    `com.squareup.okhttp.Call` | `getExperienceClusterCall(String controlPlaneUuid, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getExperienceCluster
    `ApiResponse<ApiCluster>` | `getExperienceClusterWithHttpInfo(String controlPlaneUuid)` The cluster with tags matching this control plane's UUID, if any.
    `File` | `getLogContent(BigDecimal commandId)` Fetches the log content for the specific command.
    `com.squareup.okhttp.Call` | `getLogContentAsync(BigDecimal commandId, ApiCallback<File> callback)` Fetches the log content for the specific command.
    `com.squareup.okhttp.Call` | `getLogContentCall(BigDecimal commandId, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getLogContent
    `ApiResponse<File>` | `getLogContentWithHttpInfo(BigDecimal commandId)` Fetches the log content for the specific command.
    `File` | `getManifestJson(ApiRemoteRepoUrl body)` Fetches the manifest.
    `com.squareup.okhttp.Call` | `getManifestJsonAsync(ApiRemoteRepoUrl body, ApiCallback<File> callback)` Fetches the manifest.
    `com.squareup.okhttp.Call` | `getManifestJsonCall(ApiRemoteRepoUrl body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getManifestJson
    `ApiResponse<File>` | `getManifestJsonWithHttpInfo(ApiRemoteRepoUrl body)` Fetches the manifest.
    `ApiCommand` | `installControlPlane(ApiInstallControlPlaneArgs body)` Launches the install control plane command.
    `com.squareup.okhttp.Call` | `installControlPlaneAsync(ApiInstallControlPlaneArgs body, ApiCallback<ApiCommand> callback)` Launches the install control plane command.
    `com.squareup.okhttp.Call` | `installControlPlaneCall(ApiInstallControlPlaneArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for installControlPlane
    `ApiResponse<ApiCommand>` | `installControlPlaneWithHttpInfo(ApiInstallControlPlaneArgs body)` Launches the install control plane command.
    `ApiCommand` | `installEmbeddedControlPlane(ApiInstallEmbeddedControlPlaneArgs body)` Brings up a control plane on embedded kubernetes.
    `com.squareup.okhttp.Call` | `installEmbeddedControlPlaneAsync(ApiInstallEmbeddedControlPlaneArgs body, ApiCallback<ApiCommand> callback)` Brings up a control plane on embedded kubernetes.
    `com.squareup.okhttp.Call` | `installEmbeddedControlPlaneCall(ApiInstallEmbeddedControlPlaneArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for installEmbeddedControlPlane
    `ApiResponse<ApiCommand>` | `installEmbeddedControlPlaneWithHttpInfo(ApiInstallEmbeddedControlPlaneArgs body)` Brings up a control plane on embedded kubernetes.
    `ApiControlPlane` | `readControlPlaneByUuid(String controlPlaneUuid)` The control plane with the given id.
    `com.squareup.okhttp.Call` | `readControlPlaneByUuidAsync(String controlPlaneUuid, ApiCallback<ApiControlPlane> callback)` The control plane with the given id.
    `com.squareup.okhttp.Call` | `readControlPlaneByUuidCall(String controlPlaneUuid, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readControlPlaneByUuid
    `ApiResponse<ApiControlPlane>` | `readControlPlaneByUuidWithHttpInfo(String controlPlaneUuid)` The control plane with the given id.
    `List<ApiEntityTag>` | `readTags(String controlPlaneUuid, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this control plane.
    `com.squareup.okhttp.Call` | `readTagsAsync(String controlPlaneUuid, BigDecimal limit, BigDecimal offset, ApiCallback<List<ApiEntityTag>> callback)` Returns the tags associated with this control plane.
    `com.squareup.okhttp.Call` | `readTagsCall(String controlPlaneUuid, BigDecimal limit, BigDecimal offset, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readTags
    `ApiResponse<List<ApiEntityTag>>` | `readTagsWithHttpInfo(String controlPlaneUuid, BigDecimal limit, BigDecimal offset)` Returns the tags associated with this control plane.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiCommand` | `uninstallControlPlane(String controlPlaneUuid, ApiUninstallControlPlaneArgs body)` Launches Uninstall Command on the control plane with the given uuid.
    `com.squareup.okhttp.Call` | `uninstallControlPlaneAsync(String controlPlaneUuid, ApiUninstallControlPlaneArgs body, ApiCallback<ApiCommand> callback)` Launches Uninstall Command on the control plane with the given uuid.
    `com.squareup.okhttp.Call` | `uninstallControlPlaneCall(String controlPlaneUuid, ApiUninstallControlPlaneArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for uninstallControlPlane
    `ApiResponse<ApiCommand>` | `uninstallControlPlaneWithHttpInfo(String controlPlaneUuid, ApiUninstallControlPlaneArgs body)` Launches Uninstall Command on the control plane with the given uuid.
    `ApiCommand` | `updateValuesYaml(String controlPlaneUuid, ApiUpdateControlPlaneValuesYamlArgs body)` Launches update the values.
    `com.squareup.okhttp.Call` | `updateValuesYamlAsync(String controlPlaneUuid, ApiUpdateControlPlaneValuesYamlArgs body, ApiCallback<ApiCommand> callback)` Launches update the values.
    `com.squareup.okhttp.Call` | `updateValuesYamlCall(String controlPlaneUuid, ApiUpdateControlPlaneValuesYamlArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateValuesYaml
    `ApiResponse<ApiCommand>` | `updateValuesYamlWithHttpInfo(String controlPlaneUuid, ApiUpdateControlPlaneValuesYamlArgs body)` Launches update the values.
    `ApiCommand` | `upgradeControlPlane(String controlPlaneUuid, ApiUpgradeControlPlaneArgs body)` Launches the Upgrade Command on the control plane with the given uuid.
    `com.squareup.okhttp.Call` | `upgradeControlPlaneAsync(String controlPlaneUuid, ApiUpgradeControlPlaneArgs body, ApiCallback<ApiCommand> callback)` Launches the Upgrade Command on the control plane with the given uuid.
    `com.squareup.okhttp.Call` | `upgradeControlPlaneCall(String controlPlaneUuid, ApiUpgradeControlPlaneArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for upgradeControlPlane
    `ApiResponse<ApiCommand>` | `upgradeControlPlaneWithHttpInfo(String controlPlaneUuid, ApiUpgradeControlPlaneArgs body)` Launches the Upgrade Command on the control plane with the given uuid.
    `ApiCommand` | `upgradeEmbeddedControlPlane(ApiUpgradeEmbeddedControlPlaneArgs body)` Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes.
    `com.squareup.okhttp.Call` | `upgradeEmbeddedControlPlaneAsync(ApiUpgradeEmbeddedControlPlaneArgs body, ApiCallback<ApiCommand> callback)` Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes.
    `com.squareup.okhttp.Call` | `upgradeEmbeddedControlPlaneCall(ApiUpgradeEmbeddedControlPlaneArgs body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for upgradeEmbeddedControlPlane
    `ApiResponse<ApiCommand>` | `upgradeEmbeddedControlPlaneWithHttpInfo(ApiUpgradeEmbeddedControlPlaneArgs body)` Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlPlanesResourceApi

          public ControlPlanesResourceApi()

    - #### ControlPlanesResourceApi

          public ControlPlanesResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### addTagsCall

          public com.squareup.okhttp.Call addTagsCall(String controlPlaneUuid,
                                                      List<ApiEntityTag> body,
                                                      ProgressResponseBody.ProgressListener progressListener,
                                                      ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                               throws ApiException

      Build call for addTags
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - List of tags to add to the control plane (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### addTags

          public List<ApiEntityTag> addTags(String controlPlaneUuid,
                                            List<ApiEntityTag> body)
                                     throws ApiException

      Attach tags to the control plane. Attach tags to the control plane.
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - List of tags to add to the control plane (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> addTagsWithHttpInfo(String controlPlaneUuid,
                                                                     List<ApiEntityTag> body)
                                                              throws ApiException

      Attach tags to the control plane. Attach tags to the control plane.
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - List of tags to add to the control plane (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### addTagsAsync

          public com.squareup.okhttp.Call addTagsAsync(String controlPlaneUuid,
                                                       List<ApiEntityTag> body,
                                                       ApiCallback<List<ApiEntityTag>> callback)
                                                throws ApiException

      Attach tags to the control plane. (asynchronously) Attach tags to the control plane.
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - List of tags to add to the control plane (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### copyImagesInFeaturesCall

          public com.squareup.okhttp.Call copyImagesInFeaturesCall(String controlPlaneUuid,
                                                                   ApiCopyImagesInFeaturesArgs body,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for copyImagesInFeatures
      Parameters:
        `controlPlaneUuid` - (required)
        `body` - Arguments for the Command (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### copyImagesInFeatures

          public ApiCommand copyImagesInFeatures(String controlPlaneUuid,
                                                 ApiCopyImagesInFeaturesArgs body)
                                          throws ApiException

      Launches the command to copy images for one or more features (a comma separated list). Launches the command to copy images for one or more features (a comma separated list).
      Parameters:
        `controlPlaneUuid` - (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### copyImagesInFeaturesWithHttpInfo

          public ApiResponse<ApiCommand> copyImagesInFeaturesWithHttpInfo(String controlPlaneUuid,
                                                                          ApiCopyImagesInFeaturesArgs body)
                                                                   throws ApiException

      Launches the command to copy images for one or more features (a comma separated list). Launches the command to copy images for one or more features (a comma separated list).
      Parameters:
        `controlPlaneUuid` - (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### copyImagesInFeaturesAsync

          public com.squareup.okhttp.Call copyImagesInFeaturesAsync(String controlPlaneUuid,
                                                                    ApiCopyImagesInFeaturesArgs body,
                                                                    ApiCallback<ApiCommand> callback)
                                                             throws ApiException

      Launches the command to copy images for one or more features (a comma separated list). (asynchronously) Launches the command to copy images for one or more features (a comma separated list).
      Parameters:
        `controlPlaneUuid` - (required)
        `body` - Arguments for the Command (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteTagsCall

          public com.squareup.okhttp.Call deleteTagsCall(String controlPlaneUuid,
                                                         List<ApiEntityTag> body,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for deleteTags
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - A list of tags to remove from the control plane (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteTags

          public List<ApiEntityTag> deleteTags(String controlPlaneUuid,
                                               List<ApiEntityTag> body)
                                        throws ApiException

      Remove the tags associated with the control plane. Remove the tags associated with the control plane
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - A list of tags to remove from the control plane (optional)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> deleteTagsWithHttpInfo(String controlPlaneUuid,
                                                                        List<ApiEntityTag> body)
                                                                 throws ApiException

      Remove the tags associated with the control plane. Remove the tags associated with the control plane
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - A list of tags to remove from the control plane (optional)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteTagsAsync

          public com.squareup.okhttp.Call deleteTagsAsync(String controlPlaneUuid,
                                                          List<ApiEntityTag> body,
                                                          ApiCallback<List<ApiEntityTag>> callback)
                                                   throws ApiException

      Remove the tags associated with the control plane. (asynchronously) Remove the tags associated with the control plane
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `body` - A list of tags to remove from the control plane (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### generateCopyDockerCall

          public com.squareup.okhttp.Call generateCopyDockerCall(ApiGenerateCopyDockerArgs body,
                                                                 ProgressResponseBody.ProgressListener progressListener,
                                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                          throws ApiException

      Build call for generateCopyDocker
      Parameters:
        `body` - Arguments for the Command (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateCopyDocker

          public ApiCommand generateCopyDocker(ApiGenerateCopyDockerArgs body)
                                        throws ApiException

      Launches the Generate Copy Docker Script Command. Launches the Generate Copy Docker Script Command
      Parameters:
        `body` - Arguments for the Command (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCopyDockerWithHttpInfo

          public ApiResponse<ApiCommand> generateCopyDockerWithHttpInfo(ApiGenerateCopyDockerArgs body)
                                                                 throws ApiException

      Launches the Generate Copy Docker Script Command. Launches the Generate Copy Docker Script Command
      Parameters:
        `body` - Arguments for the Command (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateCopyDockerAsync

          public com.squareup.okhttp.Call generateCopyDockerAsync(ApiGenerateCopyDockerArgs body,
                                                                  ApiCallback<ApiCommand> callback)
                                                           throws ApiException

      Launches the Generate Copy Docker Script Command. (asynchronously) Launches the Generate Copy Docker Script Command
      Parameters:
        `body` - Arguments for the Command (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### generateExternalVaultSetupCall

          public com.squareup.okhttp.Call generateExternalVaultSetupCall(ApiGenerateExternalVaultSetupArgs body,
                                                                         ProgressResponseBody.ProgressListener progressListener,
                                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                  throws ApiException

      Build call for generateExternalVaultSetup
      Parameters:
        `body` - Arguments for the Command (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### generateExternalVaultSetup

          public ApiCommand generateExternalVaultSetup(ApiGenerateExternalVaultSetupArgs body)
                                                throws ApiException

      Launches the Generate Vault Setup Command command. Launches the Generate Vault Setup Command command
      Parameters:
        `body` - Arguments for the Command (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateExternalVaultSetupWithHttpInfo

          public ApiResponse<ApiCommand> generateExternalVaultSetupWithHttpInfo(ApiGenerateExternalVaultSetupArgs body)
                                                                         throws ApiException

      Launches the Generate Vault Setup Command command. Launches the Generate Vault Setup Command command
      Parameters:
        `body` - Arguments for the Command (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### generateExternalVaultSetupAsync

          public com.squareup.okhttp.Call generateExternalVaultSetupAsync(ApiGenerateExternalVaultSetupArgs body,
                                                                          ApiCallback<ApiCommand> callback)
                                                                   throws ApiException

      Launches the Generate Vault Setup Command command. (asynchronously) Launches the Generate Vault Setup Command command
      Parameters:
        `body` - Arguments for the Command (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getControlPlanesCall

          public com.squareup.okhttp.Call getControlPlanesCall(ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for getControlPlanes
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getControlPlanes

          public ApiControlPlaneList getControlPlanes()
                                               throws ApiException

      Current Control Planes. Current Control Planes
      Returns:
        ApiControlPlaneList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getControlPlanesWithHttpInfo

          public ApiResponse<ApiControlPlaneList> getControlPlanesWithHttpInfo()
                                                                        throws ApiException

      Current Control Planes. Current Control Planes
      Returns:
        ApiResponse<ApiControlPlaneList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getControlPlanesAsync

          public com.squareup.okhttp.Call getControlPlanesAsync(ApiCallback<ApiControlPlaneList> callback)
                                                         throws ApiException

      Current Control Planes. (asynchronously) Current Control Planes
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getExperienceClusterCall

          public com.squareup.okhttp.Call getExperienceClusterCall(String controlPlaneUuid,
                                                                   ProgressResponseBody.ProgressListener progressListener,
                                                                   ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                            throws ApiException

      Build call for getExperienceCluster
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getExperienceCluster

          public ApiCluster getExperienceCluster(String controlPlaneUuid)
                                          throws ApiException

      The cluster with tags matching this control plane's UUID, if any. The cluster with tags matching this control plane's UUID, if any
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
      Returns:
        ApiCluster
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getExperienceClusterWithHttpInfo

          public ApiResponse<ApiCluster> getExperienceClusterWithHttpInfo(String controlPlaneUuid)
                                                                   throws ApiException

      The cluster with tags matching this control plane's UUID, if any. The cluster with tags matching this control plane's UUID, if any
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
      Returns:
        ApiResponse<ApiCluster>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getExperienceClusterAsync

          public com.squareup.okhttp.Call getExperienceClusterAsync(String controlPlaneUuid,
                                                                    ApiCallback<ApiCluster> callback)
                                                             throws ApiException

      The cluster with tags matching this control plane's UUID, if any. (asynchronously) The cluster with tags matching this control plane's UUID, if any
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getLogContentCall

          public com.squareup.okhttp.Call getLogContentCall(BigDecimal commandId,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for getLogContent
      Parameters:
        `commandId` - the command id (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getLogContent

          public File getLogContent(BigDecimal commandId)
                             throws ApiException

      Fetches the log content for the specific command. Fetches the log content for the specific command.
      Parameters:
        `commandId` - the command id (required)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getLogContentWithHttpInfo

          public ApiResponse<File> getLogContentWithHttpInfo(BigDecimal commandId)
                                                      throws ApiException

      Fetches the log content for the specific command. Fetches the log content for the specific command.
      Parameters:
        `commandId` - the command id (required)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getLogContentAsync

          public com.squareup.okhttp.Call getLogContentAsync(BigDecimal commandId,
                                                             ApiCallback<File> callback)
                                                      throws ApiException

      Fetches the log content for the specific command. (asynchronously) Fetches the log content for the specific command.
      Parameters:
        `commandId` - the command id (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getManifestJsonCall

          public com.squareup.okhttp.Call getManifestJsonCall(ApiRemoteRepoUrl body,
                                                              ProgressResponseBody.ProgressListener progressListener,
                                                              ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                       throws ApiException

      Build call for getManifestJson
      Parameters:
        `body` - the remote repo url. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getManifestJson

          public File getManifestJson(ApiRemoteRepoUrl body)
                               throws ApiException

      Fetches the manifest. Fetches the manifest.json under the specified remote repo.
      Parameters:
        `body` - the remote repo url. (optional)
      Returns:
        File
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getManifestJsonWithHttpInfo

          public ApiResponse<File> getManifestJsonWithHttpInfo(ApiRemoteRepoUrl body)
                                                        throws ApiException

      Fetches the manifest. Fetches the manifest.json under the specified remote repo.
      Parameters:
        `body` - the remote repo url. (optional)
      Returns:
        ApiResponse<File>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getManifestJsonAsync

          public com.squareup.okhttp.Call getManifestJsonAsync(ApiRemoteRepoUrl body,
                                                               ApiCallback<File> callback)
                                                        throws ApiException

      Fetches the manifest. (asynchronously) Fetches the manifest.json under the specified remote repo.
      Parameters:
        `body` - the remote repo url. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### installControlPlaneCall

          public com.squareup.okhttp.Call installControlPlaneCall(ApiInstallControlPlaneArgs body,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for installControlPlane
      Parameters:
        `body` - Arguments for the Command (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### installControlPlane

          public ApiCommand installControlPlane(ApiInstallControlPlaneArgs body)
                                         throws ApiException

      Launches the install control plane command. Launches the install control plane command.
      Parameters:
        `body` - Arguments for the Command (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### installControlPlaneWithHttpInfo

          public ApiResponse<ApiCommand> installControlPlaneWithHttpInfo(ApiInstallControlPlaneArgs body)
                                                                  throws ApiException

      Launches the install control plane command. Launches the install control plane command.
      Parameters:
        `body` - Arguments for the Command (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### installControlPlaneAsync

          public com.squareup.okhttp.Call installControlPlaneAsync(ApiInstallControlPlaneArgs body,
                                                                   ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Launches the install control plane command. (asynchronously) Launches the install control plane command.
      Parameters:
        `body` - Arguments for the Command (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### installEmbeddedControlPlaneCall

          public com.squareup.okhttp.Call installEmbeddedControlPlaneCall(ApiInstallEmbeddedControlPlaneArgs body,
                                                                          ProgressResponseBody.ProgressListener progressListener,
                                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                   throws ApiException

      Build call for installEmbeddedControlPlane
      Parameters:
        `body` - The arguments for Ek8s control plane installation (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### installEmbeddedControlPlane

          public ApiCommand installEmbeddedControlPlane(ApiInstallEmbeddedControlPlaneArgs body)
                                                 throws ApiException

      Brings up a control plane on embedded kubernetes. Brings up a control plane on embedded kubernetes. At its core, this command launches the FirstRun command on the Containerized Cluster.
      Parameters:
        `body` - The arguments for Ek8s control plane installation (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### installEmbeddedControlPlaneWithHttpInfo

          public ApiResponse<ApiCommand> installEmbeddedControlPlaneWithHttpInfo(ApiInstallEmbeddedControlPlaneArgs body)
                                                                          throws ApiException

      Brings up a control plane on embedded kubernetes. Brings up a control plane on embedded kubernetes. At its core, this command launches the FirstRun command on the Containerized Cluster.
      Parameters:
        `body` - The arguments for Ek8s control plane installation (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### installEmbeddedControlPlaneAsync

          public com.squareup.okhttp.Call installEmbeddedControlPlaneAsync(ApiInstallEmbeddedControlPlaneArgs body,
                                                                           ApiCallback<ApiCommand> callback)
                                                                    throws ApiException

      Brings up a control plane on embedded kubernetes. (asynchronously) Brings up a control plane on embedded kubernetes. At its core, this command launches the FirstRun command on the Containerized Cluster.
      Parameters:
        `body` - The arguments for Ek8s control plane installation (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readControlPlaneByUuidCall

          public com.squareup.okhttp.Call readControlPlaneByUuidCall(String controlPlaneUuid,
                                                                     ProgressResponseBody.ProgressListener progressListener,
                                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                              throws ApiException

      Build call for readControlPlaneByUuid
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readControlPlaneByUuid

          public ApiControlPlane readControlPlaneByUuid(String controlPlaneUuid)
                                                 throws ApiException

      The control plane with the given id. The control plane with the given id
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
      Returns:
        ApiControlPlane
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readControlPlaneByUuidWithHttpInfo

          public ApiResponse<ApiControlPlane> readControlPlaneByUuidWithHttpInfo(String controlPlaneUuid)
                                                                          throws ApiException

      The control plane with the given id. The control plane with the given id
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
      Returns:
        ApiResponse<ApiControlPlane>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readControlPlaneByUuidAsync

          public com.squareup.okhttp.Call readControlPlaneByUuidAsync(String controlPlaneUuid,
                                                                      ApiCallback<ApiControlPlane> callback)
                                                               throws ApiException

      The control plane with the given id. (asynchronously) The control plane with the given id
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readTagsCall

          public com.squareup.okhttp.Call readTagsCall(String controlPlaneUuid,
                                                       BigDecimal limit,
                                                       BigDecimal offset,
                                                       ProgressResponseBody.ProgressListener progressListener,
                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                throws ApiException

      Build call for readTags
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readTags

          public List<ApiEntityTag> readTags(String controlPlaneUuid,
                                             BigDecimal limit,
                                             BigDecimal offset)
                                      throws ApiException

      Returns the tags associated with this control plane. Returns the tags associated with this control plane.
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        List<ApiEntityTag>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsWithHttpInfo

          public ApiResponse<List<ApiEntityTag>> readTagsWithHttpInfo(String controlPlaneUuid,
                                                                      BigDecimal limit,
                                                                      BigDecimal offset)
                                                               throws ApiException

      Returns the tags associated with this control plane. Returns the tags associated with this control plane.
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
      Returns:
        ApiResponse<List<ApiEntityTag>>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsAsync

          public com.squareup.okhttp.Call readTagsAsync(String controlPlaneUuid,
                                                        BigDecimal limit,
                                                        BigDecimal offset,
                                                        ApiCallback<List<ApiEntityTag>> callback)
                                                 throws ApiException

      Returns the tags associated with this control plane. (asynchronously) Returns the tags associated with this control plane.
      Parameters:
        `controlPlaneUuid` - The uuid of the control plane. (required)
        `limit` - Number of tags (optional, default to 10)
        `offset` - Index of the first tag to retrieve (optional, default to 0)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### uninstallControlPlaneCall

          public com.squareup.okhttp.Call uninstallControlPlaneCall(String controlPlaneUuid,
                                                                    ApiUninstallControlPlaneArgs body,
                                                                    ProgressResponseBody.ProgressListener progressListener,
                                                                    ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                             throws ApiException

      Build call for uninstallControlPlane
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### uninstallControlPlane

          public ApiCommand uninstallControlPlane(String controlPlaneUuid,
                                                  ApiUninstallControlPlaneArgs body)
                                           throws ApiException

      Launches Uninstall Command on the control plane with the given uuid. Launches Uninstall Command on the control plane with the given uuid
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### uninstallControlPlaneWithHttpInfo

          public ApiResponse<ApiCommand> uninstallControlPlaneWithHttpInfo(String controlPlaneUuid,
                                                                           ApiUninstallControlPlaneArgs body)
                                                                    throws ApiException

      Launches Uninstall Command on the control plane with the given uuid. Launches Uninstall Command on the control plane with the given uuid
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### uninstallControlPlaneAsync

          public com.squareup.okhttp.Call uninstallControlPlaneAsync(String controlPlaneUuid,
                                                                     ApiUninstallControlPlaneArgs body,
                                                                     ApiCallback<ApiCommand> callback)
                                                              throws ApiException

      Launches Uninstall Command on the control plane with the given uuid. (asynchronously) Launches Uninstall Command on the control plane with the given uuid
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateValuesYamlCall

          public com.squareup.okhttp.Call updateValuesYamlCall(String controlPlaneUuid,
                                                               ApiUpdateControlPlaneValuesYamlArgs body,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for updateValuesYaml
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateValuesYaml

          public ApiCommand updateValuesYaml(String controlPlaneUuid,
                                             ApiUpdateControlPlaneValuesYamlArgs body)
                                      throws ApiException

      Launches update the values. Launches update the values.yaml from the control plane with the given uuid This updates the content of values.yaml.merged in the CM database.
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateValuesYamlWithHttpInfo

          public ApiResponse<ApiCommand> updateValuesYamlWithHttpInfo(String controlPlaneUuid,
                                                                      ApiUpdateControlPlaneValuesYamlArgs body)
                                                               throws ApiException

      Launches update the values. Launches update the values.yaml from the control plane with the given uuid This updates the content of values.yaml.merged in the CM database.
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateValuesYamlAsync

          public com.squareup.okhttp.Call updateValuesYamlAsync(String controlPlaneUuid,
                                                                ApiUpdateControlPlaneValuesYamlArgs body,
                                                                ApiCallback<ApiCommand> callback)
                                                         throws ApiException

      Launches update the values. (asynchronously) Launches update the values.yaml from the control plane with the given uuid This updates the content of values.yaml.merged in the CM database.
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### upgradeControlPlaneCall

          public com.squareup.okhttp.Call upgradeControlPlaneCall(String controlPlaneUuid,
                                                                  ApiUpgradeControlPlaneArgs body,
                                                                  ProgressResponseBody.ProgressListener progressListener,
                                                                  ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                           throws ApiException

      Build call for upgradeControlPlane
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### upgradeControlPlane

          public ApiCommand upgradeControlPlane(String controlPlaneUuid,
                                                ApiUpgradeControlPlaneArgs body)
                                         throws ApiException

      Launches the Upgrade Command on the control plane with the given uuid. Launches the Upgrade Command on the control plane with the given uuid
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeControlPlaneWithHttpInfo

          public ApiResponse<ApiCommand> upgradeControlPlaneWithHttpInfo(String controlPlaneUuid,
                                                                         ApiUpgradeControlPlaneArgs body)
                                                                  throws ApiException

      Launches the Upgrade Command on the control plane with the given uuid. Launches the Upgrade Command on the control plane with the given uuid
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeControlPlaneAsync

          public com.squareup.okhttp.Call upgradeControlPlaneAsync(String controlPlaneUuid,
                                                                   ApiUpgradeControlPlaneArgs body,
                                                                   ApiCallback<ApiCommand> callback)
                                                            throws ApiException

      Launches the Upgrade Command on the control plane with the given uuid. (asynchronously) Launches the Upgrade Command on the control plane with the given uuid
      Parameters:
        `controlPlaneUuid` - The universally unique id of the control plane (required)
        `body` - Arguments for the Command (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### upgradeEmbeddedControlPlaneCall

          public com.squareup.okhttp.Call upgradeEmbeddedControlPlaneCall(ApiUpgradeEmbeddedControlPlaneArgs body,
                                                                          ProgressResponseBody.ProgressListener progressListener,
                                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                   throws ApiException

      Build call for upgradeEmbeddedControlPlane
      Parameters:
        `body` - The arguments for Ek8s control plane upgrade (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### upgradeEmbeddedControlPlane

          public ApiCommand upgradeEmbeddedControlPlane(ApiUpgradeEmbeddedControlPlaneArgs body)
                                                 throws ApiException

      Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes. Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes.
      Parameters:
        `body` - The arguments for Ek8s control plane upgrade (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeEmbeddedControlPlaneWithHttpInfo

          public ApiResponse<ApiCommand> upgradeEmbeddedControlPlaneWithHttpInfo(ApiUpgradeEmbeddedControlPlaneArgs body)
                                                                          throws ApiException

      Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes. Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes.
      Parameters:
        `body` - The arguments for Ek8s control plane upgrade (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### upgradeEmbeddedControlPlaneAsync

          public com.squareup.okhttp.Call upgradeEmbeddedControlPlaneAsync(ApiUpgradeEmbeddedControlPlaneArgs body,
                                                                           ApiCallback<ApiCommand> callback)
                                                                    throws ApiException

      Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes. (asynchronously) Upgrade a Containerized Cluster, including upgrading the control plane running on embedded kubernetes.
      Parameters:
        `body` - The arguments for Ek8s control plane upgrade (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.